## remote-logon-config-agent 0.9

=== Makefile ===
lint:
	pyflakes $$(find -name '*.py') $$(grep '^#!.*python' $$(bzr ls -Vkfile) -l)
check:
	python3 -m unittest rscalib.tests
.PHONY: lint check

=== debian/changelog ===
remote-logon-config-agent (0.9-2) unstable; urgency=medium

  * Upload to unstable.

  * debian/control:
    + Fix typo in the Canonical Ltd. company name.
    + Set Priority: from extra to optional to comply with Debian Policy 4.1.0.
    + Bump Standards-Version: to 4.1.0.
  * debian/patches:
    + Add README file explaining our patch naming scheme.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 01 Oct 2017 20:28:21 +0200

remote-logon-config-agent (0.9-1) experimental; urgency=low

  * Initial upload to Debian. (Closes: #863097).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 21 May 2017 20:50:01 +0200

=== debian/control ===
Source: remote-logon-config-agent
Maintainer: Debian Remote Maintainers <pkg-remote-team@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Section: utils
Priority: optional
Build-Depends: debhelper (>= 10),
               python3-all,
               python3-pycurl,
               python3-setuptools
Standards-Version: 4.1.0
X-Python3-Version: >= 3.2
Vcs-Browser: https://anonscm.debian.org/git/pkg-remote/remote-logon-config-agent.git
Vcs-Git: https://anonscm.debian.org/git/pkg-remote/remote-logon-config-agent.git
Homepage: https://github.com/ArcticaProject/remote-logon-config-agent

Package: remote-logon-config-agent
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-pycurl,
Description: Retrieve host and session information from remote broker servers
 This tiny Python tool is part of the Arctica Greeter display manager.
 .
 The remote-logon-config-agent fetches JSON based remote server
 information from a brokerage host (formerly known as UCCS, a service run
 by Canonical Ltd. around 2012-2014).
 .
 This tool gets used by the DBus service 'remote-logon-service'. The
 retrieved information is then handed over by the DBus service to Arctica
 Greeter.
 .
 The retrieved information can be obtained from a remote desktop
 brokerage service like Arctica Server (with brokerage support) or from
 the X2Go Session Broker.
 .
 In Arctica Greeter, the logon information is presented to the user for
 starting up remote desktop sessions on Arctica, X2Go or RDP / Citrix
 servers.

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://releases.arctica-project.org/source/remote-logon-config-agent/remote-logon-config-agent-(.+)\.tar\.gz

## remote-logon-config-agent 0.10

=== debian/changelog ===
remote-logon-config-agent (0.10-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.1.4. No changes needed.
    + Add B-D: dh-python.
    + Drop X-Python3-Version: field. All versions of Debian support the Python
      code in this package.
  * debian/{control,compat}: Bump DH compat version level to 11.
  * debian/copyright:
    + Use secure URI to obtain copyright references.
  * debian/watch:
    + Use secure URL to obtain upstream sources.
  * debian/upstream/metadata:
    + Comply with DEP-12 upstream metadata enhancement proposal.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 30 May 2018 10:18:17 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
  Mike Gabriel <sunweaver@debian.org>,
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
+               dh-python,
                python3-all,
                python3-pycurl,
                python3-setuptools
-Standards-Version: 4.1.0
-X-Python3-Version: >= 3.2
-Vcs-Browser: https://anonscm.debian.org/git/pkg-remote/remote-logon-config-agent.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-remote/remote-logon-config-agent.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/debian-remote-team/remote-logon-config-agent
+Vcs-Git: https://salsa.debian.org/debian-remote-team/remote-logon-config-agent.git
 Homepage: https://github.com/ArcticaProject/remote-logon-config-agent
 
 Package: remote-logon-config-agent

=== debian/rules ===
#!/usr/bin/make -f

PY3VERS := $(shell py3versions -r)

%:
	dh $@ --with python3 --buildsystem=python_distutils

override_dh_auto_clean:
	-find . -name '*.py[co]' | xargs rm -f
	rm -rf *.egg-info

override_dh_auto_build:
	set -ex ; for python in $(PY3VERS) ; do \
		$$python setup.py build ; \
	done

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	set -ex; for python in $(PY3VERS) ; do \
		$$python -m unittest rscalib.tests ; \
	done
endif

override_dh_auto_install:
	set -ex ; for python in $(PY3VERS) ; do \
		$$python setup.py install --root=$(CURDIR)/debian/remote-logon-config-agent --install-layout=deb; \
	done

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.arctica-project.org/source/remote-logon-config-agent/remote-logon-config-agent-(.+)\.tar\.gz
